RHEL 7 : gstreamer-plugins-bad-free (RHSA-2024:0279)

high Nessus Plugin ID 189132

Synopsis

The remote Red Hat host is missing a security update for gstreamer-plugins-bad-free.

Description

The remote Redhat Enterprise Linux 7 host has packages installed that are affected by a vulnerability as referenced in the RHSA-2024:0279 advisory.

- gstreamer: MXF demuxer use-after-free vulnerability (CVE-2023-44446)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the RHEL gstreamer-plugins-bad-free package based on the guidance in RHSA-2024:0279.

See Also

http://www.nessus.org/u?a16d288b

https://access.redhat.com/security/updates/classification/#important

https://bugzilla.redhat.com/show_bug.cgi?id=2250249

https://access.redhat.com/errata/RHSA-2024:0279

Plugin Details

Severity: High

ID: 189132

File Name: redhat-RHSA-2024-0279.nasl

Version: 1.1

Type: local

Agent: unix

Published: 1/17/2024

Updated: 4/28/2024

Supported Sensors: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent, Nessus

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: Critical

Base Score: 10

Temporal Score: 7.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

CVSS Score Source: CVE-2023-44446

CVSS v3

Risk Factor: High

Base Score: 8.8

Temporal Score: 7.7

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:gstreamer-plugins-bad-free-devel, p-cpe:/a:redhat:enterprise_linux:gstreamer-plugins-bad-free, p-cpe:/a:redhat:enterprise_linux:gstreamer-plugins-bad-free-devel-docs, cpe:/o:redhat:enterprise_linux:7

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 1/17/2024

Vulnerability Publication Date: 11/14/2023

Reference Information

CVE: CVE-2023-44446

CWE: 416

RHSA: 2024:0279